Skip to content
GET/{organizationId}/crm/contacts/shared/{contactId}

Get shared contact

Returns a specific shared contact for the organization

Required permissions:

  • organization.read

Permissions depending on contact type:

  • contact:member

  • contact:address

  • contact:customer

  • contact:sponsor

  • contact:contributor

  • contact:employee

  • contact:supplier

Path Parameters

organizationIdstringrequired
contactIdstringrequired

Query Parameters

segmentKeystringrequired

minLength: 1

Authentication: X-API-Key

Request

GET/{organizationId}/crm/contacts/shared/{contactId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/crm/contacts/shared/{contactId}?segmentKey=string' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

createdAtdate-time | nulloptional
updatedAtdate-time | nulloptional
removedAtdate-time | nulloptional
__ignoreTriggersstring | nulloptional

ObjectId as string

languagestringoptional

Options:

ende

Additional properties are not allowed.

namestringoptional

minLength: 1

maxLength: 80

nameNormalizedstringoptional

minLength: 1

nameSortstringoptional

minLength: 1

maxLength: 80

Additional properties are not allowed.

Additional properties are not allowed.

tagsstring arrayoptional

Additional properties are not allowed.

Additional properties are not allowed.

Additional properties are not allowed.

locationUpdatedAtstring | nulloptional

Additional properties are not allowed.

Additional properties are not allowed.

Additional properties are not allowed.

Additional properties are not allowed.

Additional properties are not allowed.

Additional properties are not allowed.

Additional properties are not allowed.

Additional properties are not allowed.

Additional properties are not allowed.

nextEvaluationAtdate-time | nulloptional

Additional properties are not allowed.

ObjectId as string

Response

200
{
  "_id": "000000000000000000000001",
  "organization": "000000000000000000000001",
  "types": [
    "member"
  ],
  "organizationData": {
    "name": "string",
    "avatar": {
      "resource": "string"
    }
  },
  "image": {
    "resource": "string"
  },
  "user": {
    "token": "",
    "claimedAt": "2026-06-15T22:30:00Z",
    "actor": {
      "name": "string",
      "type": "user",
      "userId": "string",
      "image": {
        "resource": "string"
      }
    }
  }
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}